
{   Korrnews V2.44 vom 10.4.2000                   }
{   (c) Thomas G. Liesner                          }
{   mailto:tgl@gmx.de                              }

Program KorrNews;
Uses
  doit in 'doit.pas',
  Korrektu in 'Korrektu.pas',
  Settings in 'Settings.pas',
  CfgMain in 'CfgMain.pas' {FrmMain},
  Forms,
  Derror in 'Derror.pas' {DlgErrorOrDebug},
  uperlre in '\Projekte\Hamstertools\allgemein\uperlre.pas',
  uSkript in '\Projekte\Hamstertools\allgemein\uSkript.pas',
  uArtikel in '\Projekte\Hamstertools\allgemein\uArtikel.pas',
  uGetNum in '\Projekte\Hamstertools\allgemein\uGetNum.pas',
  uGetStr in '\Projekte\Hamstertools\allgemein\uGetStr.pas',
  DAssiste in 'DAssiste.pas' {DlgAssistent},
  DOL_Ref in 'DOL_Ref.pas' {DlgCfgOL_RF},
  DBoxQuo in 'DBoxQuo.pas' {DlgCfgBQ},
  DFussnot in 'DFussnot.pas' {DlgCfgFN},
  uISO in 'uISO.pas',
  ucsmap in 'ucsmap.pas',
  uHTML2te in 'uHTML2te.pas',
  DDefChSs in 'DDefChSs.pas' {DlgDefCharsets},
  uMIMEInf in 'uMIMEInf.pas',
  uKNSkr in 'uKNSkr.pas',
  uKNTools in 'uKNTools.pas',
  uTransla in 'uTransla.pas',
  DPGP in 'DPGP.pas' {DlgPGP},
  uHeader in 'Uheader.pas',
  uHamster in 'uHamster.pas';

begin
  Application.Initialize;
  With Application do Title := 'KorrNews V'+Ver;
  Application.HintHidePause := 100000;
  Application.CreateForm(TFrmMain, FrmMain);
  Application.Run
{
History:
--------
 V2.4(4)
  - Has8BitChars klappt bei Sigs, wenn Sig-Anweisung vor erster Verwendung
  - Neue Abfrage: BodyHeader(Headername)
  - Neue Anweisungen: Delete BodyHeader Name, Delete Sig, Delete Header Name
  - Neue Option: Leerzeichen zwischen versch. Quote-Zeichen abschaltbar 
  - Neue Option: Quote-Zeichen frei definierbar
  - MIME-Kodierung noch einmal berarbeitet, in speziellen Fllen konnten Leerzeichen verschwinden
  - Trenner definierbar, um Bodyanpassungen fr einen Teil des Postings zu verhindern  
  - Bodyanpassungen unterhalb des (ersten) Sig-Trenners abschaltbar
  - 250kb grer und Einstellungsdialog
  - Leerzeilen am Ende lschen jetzt optional
  - Header.def: Definition von Wildcards gendert, statt %First of Newsgroups% jetzt %First(Header(Newsgroups))%
  - Header.def: First/Last jetzt auch bei normalen String-Ausdrcken mglich
  - Header.def: Variablen eingefhrt: Set %Test% = ... bzw. If Header(Test) = %Test%
  - Header.def: Neuer Befehl "Append Lines" erlaubt Zusatzzeilen oberhalb der Signatur
 V2.3
  - Wildcards mit "%%" vermeidbar, %First/Last of ...% kann auch mit References hantieren
  - References auf einstellbare Maximallnge krzen und/oder umbrechen
  - CopyFups-Message-ID in Body wird automatisch mit korrigiert
  - besserer Quote-Korrektur: Unterstreichungen sollten immer passen
  - Leerzeichen zwischen Zitatzeichen und Zitat bei Quote-Korrektur jetzt optional
  - Header "Date" kann wenn fehlend/immer gesetzt werden, wahlweise als GMT oder lokales Datum
 V2.2,  25.02.2000
  - "Subject: Re: ... (was: ...)" => "Subject: Re: ..." (Option CheckSubjectKillWasAfterRe)
  - "Subject: AW: ..." => "Subject: Re: ..." (Option ConvertToRe)
  - "Subject: Re: Re: ..." => "Subject: Re: ..." (Optionen DelDoubleRe & AnswerDesignators)
  2.21: Bug bzgl. Was-Umbenennung korrigiert
 V2.1,  12.02.2000:
  - Set [raw] Header <cr> ... <cr> end
  - Signaturen werden bei multi-part-Postings richtig eingeordnet
  - Falls copyfups.ini im selben Verzeichnis, wird die dortige Angabe AddMessageID automatisch genutzt
 V2.0,  15.01.2000:
  - Bedingungen in Header.def stark erweitert
  - Sigs per Header.def
  - Aufruf mit INI-Abschnittsnamen
 V1.6a, 08.01.2000:
  - Noch mal optimiertere MIME-Header
  - Fehler bei "MessagePath=Laufwerksbuchstabe:\Pfad" korrigiert
 V1.6,  03.01.2000:
  - MIME-Header perfektioniert: Teilweise Fehler raus, zustzlich Folding integriert
 V1.5a, 03.01.2000:
  - Lschzeilen in Header.def fhren nicht mehr zu Leereintrgen im Header, wenn
    nicht im Header vorhanden
 V1.5,  02.01.2000:
  - Beim Ersetzen/Lschen (ursprnglich) mehrzeiliger Header werden die zustzlichen
    Zeilen jetzt auch gelscht und nicht mehr stehengelassen.
  - Neue Option "ConvertToSigDelimiter" fr OE-Nutzer
  - Programm- und Datenpfad trennbar ("MessagePath")

 V1.4,  01.01.2000:
  - Bedingte Header.def
  - Wildcards bei Headern
  
 ...
}
end.

